Package org.eclipse.mat.jruby.resolver

## Class Messages

- java.lang.Object
- - org.eclipse.osgi.util.NLS
  - - org.eclipse.mat.jruby.resolver.Messages

    public class Messages
    extends NLS

### Field Summary

Fields
`static String` `HeapDumpProxy_NoSuchField`
`static String` `HeapDumpProxy_NotImplemented`
`static String` `HeapDumpProxy_TypeMismatch`
`static String` `HeapDumpProxy_UnknownClass`
`static String` `JRubyScriptResolver_ResultBody`
`static String` `JRubyScriptResolver_ResultBody_PossibleSuspects`
`static String` `JRubyScriptResolver_ResultBody_RubyCall_Class`
`static String` `JRubyScriptResolver_ResultBody_RubyCall_Method`
`static String` `JRubyScriptResolver_ResultBody_RubyScriptPath`
`static String` `JRubyScriptResolver_ResultHeader`
`static String` `JRubyScriptResolver_Summary`
`static String` `RubyStacktraceDumper_NoJRuby`
`static String` `RubyStacktraceDumper_NoJRubyDetails`
`static String` `RubyStacktraceDumper_ResultHeader`
`static String` `RubyStacktraceDumper_StackTraceLine`
`static String` `RubyStacktraceDumper_Summary`
`static String` `RubyStacktraceDumper_Unknown`
`static String` `RubyStacktraceDumper_UnknownThread`

### Method Summary

### Methods inherited from class org.eclipse.osgi.util.NLS

`bind, bind, bind, initializeMessages`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HeapDumpProxy_UnknownClass

    public static String HeapDumpProxy_UnknownClass

#### HeapDumpProxy_TypeMismatch

    public static String HeapDumpProxy_TypeMismatch

#### HeapDumpProxy_NoSuchField

    public static String HeapDumpProxy_NoSuchField

#### HeapDumpProxy_NotImplemented

    public static String HeapDumpProxy_NotImplemented

#### JRubyScriptResolver_Summary

    public static String JRubyScriptResolver_Summary

#### JRubyScriptResolver_ResultHeader

    public static String JRubyScriptResolver_ResultHeader

#### JRubyScriptResolver_ResultBody

    public static String JRubyScriptResolver_ResultBody

#### JRubyScriptResolver_ResultBody_RubyCall_Class

    public static String JRubyScriptResolver_ResultBody_RubyCall_Class

#### JRubyScriptResolver_ResultBody_RubyCall_Method

    public static String JRubyScriptResolver_ResultBody_RubyCall_Method

#### JRubyScriptResolver_ResultBody_PossibleSuspects

    public static String JRubyScriptResolver_ResultBody_PossibleSuspects

#### JRubyScriptResolver_ResultBody_RubyScriptPath

    public static String JRubyScriptResolver_ResultBody_RubyScriptPath

#### RubyStacktraceDumper_Summary

    public static String RubyStacktraceDumper_Summary

#### RubyStacktraceDumper_ResultHeader

    public static String RubyStacktraceDumper_ResultHeader

#### RubyStacktraceDumper_UnknownThread

    public static String RubyStacktraceDumper_UnknownThread

#### RubyStacktraceDumper_StackTraceLine

    public static String RubyStacktraceDumper_StackTraceLine

#### RubyStacktraceDumper_Unknown

    public static String RubyStacktraceDumper_Unknown

#### RubyStacktraceDumper_NoJRuby

    public static String RubyStacktraceDumper_NoJRuby

#### RubyStacktraceDumper_NoJRubyDetails

    public static String RubyStacktraceDumper_NoJRubyDetails